Skip to main content

0.01 credits per call

eth_getFilterLogs on BNB Smart Chain (BSC): Returns all logs matching a log filter (one-shot).

Endpoint

https://rpc.goldrushdata.com/v1/bsc-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
filterIdQUANTITYyesHex-encoded filter ID."0x16"

Returns

Array<Object>: All matching log objects.
[{"address":"0xa0b86991...","topics":["0xddf252ad..."],"data":"0x...","blockNumber":"0x14a3b8c"}]

Examples

curl https://rpc.goldrushdata.com/v1/bsc-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getFilterLogs",
    "params": ["0x16"]
  }'
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/bsc-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_getFilterLogs", ["0x16"]);
console.log(result);
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/bsc-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_getFilterLogs",
  params: ["0x16"],
});
console.log(result);
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/bsc-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_getFilterLogs",
  params: ["0x16"],
});
console.log(result);
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/bsc-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_getFilterLogs", ["0x16"])
print(result)

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on